-- Create the top_animated_movies table if it doesn't already exist
CREATE TABLE IF NOT EXISTS top_animated_movies (
  studio TEXT,
  title TEXT,
  director TEXT,
  release_year INTEGER,
  rating REAL,
  runtime_minutes INTEGER,
  genre TEXT,
  language TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM top_animated_movies;

-- Insert data into the top_animated_movies table
INSERT INTO top_animated_movies (studio, title, director, release_year, rating, runtime_minutes, genre, language) VALUES
('Disney', 'Aladdin', 'Ron Clements', 1992, 8.1, 90, 'Adventure', 'English'),
('Disney', 'Beauty and the Beast', 'Gary Trousdale', 1991, 8.5, 84, 'Fantasy', 'English'),
('Disney', 'Frozen', 'Jennifer Lee', 2013, 7.4, 102, 'Musical', 'English'),
('Disney', 'Mulan', 'Tony Bancroft', 1998, 7.7, 88, 'Adventure', 'English'),
('Disney', 'The Jungle Book', 'Wolfgang Reitherman', 1967, 8.0, 78, 'Adventure', 'English'),
('Disney', 'The Lion King', 'Roger Allers', 1994, 8.4, 88, 'Adventure', 'English'),
('DreamWorks Animation', 'Madagascar', 'Eric Darnell', 2005, 7.0, 86, 'Adventure', 'English'),
('DreamWorks Animation', 'Shrek', 'Andrew Adamson', 2001, 8.6, 90, 'Adventure', 'English'),
('Pixar', 'Brave', 'Brenda Chapman', 2012, 6.9, 93, 'Adventure', 'English'),
('Pixar', 'Cars', 'John Lasseter', 2006, 6.8, 116, 'Adventure', 'English'),
('Pixar', 'Toy Story', 'John Lasseter', 1995, 8.0, 81, 'Adventure', 'English'),
('Pixar', 'Up', 'Pete Docter', 2009, 8.5, 96, 'Adventure', 'English'),
('Pixar', 'WALL-E', 'Andrew Stanton', 2008, 8.7, 98, 'Adventure', 'English'),
('Studio Ghibli', 'Castle in the Sky', 'Hayao Miyazaki', 1986, 8.5, 124, 'Adventure', 'Japanese'),
('Studio Ghibli', 'Grave of the Fireflies', 'Isao Takahata', 1988, 8.9, 89, 'Drama', 'Japanese'),
('Studio Ghibli', 'Howl''s Moving Castle', 'Hayao Miyazaki', 2004, 8.6, 119, 'Fantasy', 'Japanese'),
('Studio Ghibli', 'Kiki''s Delivery Service', 'Hayao Miyazaki', 1989, 8.4, 102, 'Fantasy', 'Japanese'),
('Studio Ghibli', 'My Neighbor Totoro', 'Hayao Miyazaki', 1988, 8.9, 86, 'Fantasy', 'Japanese'),
('Studio Ghibli', 'My Neighbors the Yamadas', 'Isao Takahata', 1999, 8.1, 75, 'Drama', 'Japanese'),
('Studio Ghibli', 'Only Yesterday', 'Isao Takahata', 1991, 8.3, 118, 'Drama', 'Japanese'),
('Studio Ghibli', 'Ponyo', 'Hayao Miyazaki', 2008, 8.3, 101, 'Fantasy', 'Japanese'),
('Studio Ghibli', 'Princess Mononoke', 'Hayao Miyazaki', 1997, 8.8, 134, 'Adventure', 'Japanese'),
('Studio Ghibli', 'Spirited Away', 'Hayao Miyazaki', 2001, 9.2, 125, 'Fantasy', 'Japanese'),
('Studio Ghibli', 'The Tale of the Princess Kaguya', 'Isao Takahata', 2013, 8.8, 137, 'Fantasy', 'Japanese'),
('Folimage', 'A Cat in Paris', 'Jean-Loup Felicioli', 2010, 6.9, 70, 'Crime', 'French'),
('Bibo Films', 'A Monster in Paris', 'Bibo Bergeron', 2011, 6.7, 90, 'Adventure', 'French');