-- Create the paintings table if it doesn't already exist
CREATE TABLE IF NOT EXISTS paintings (
  title TEXT PRIMARY KEY,
  artist TEXT,
  century INTEGER,
  medium TEXT,
  sale_price REAL,
  movement TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM paintings;

-- Insert data into the paintings table
INSERT INTO paintings (title, artist, century, medium, sale_price, movement) VALUES
('Sunflowers', 'Vincent van Gogh', 19, 'oil', 39.7, 'Post-Impressionism'),
('Portrait of Dr. Gachet', 'Vincent van Gogh', 19, 'oil', 82.5, 'Post-Impressionism'),
('Water Lilies', 'Claude Monet', 20, 'oil', 70, 'Impressionism'),
('Meules', 'Claude Monet', 19, 'oil', 110.7, 'Impressionism'),
('The Scream', 'Edvard Munch', 19, 'tempera', 119.9, 'Expressionism'),
('Les Femmes d''Alger', 'Pablo Picasso', 20, 'oil', 179.4, 'Cubism'),
('Garçon à la Pipe', 'Pablo Picasso', 20, 'oil', 104.2, 'Cubism'),
('Portrait of Adele Bloch-Bauer I', 'Gustav Klimt', 20, 'oil', 135, 'Symbolism');