-- Create the repairs table if it doesn't already exist
CREATE TABLE IF NOT EXISTS repairs (
  repair_id INTEGER PRIMARY KEY AUTOINCREMENT, -- Added an auto-incrementing ID for uniqueness
  brand TEXT,
  reason TEXT,
  model TEXT,
  year INTEGER,
  cost REAL,
  mechanic TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM repairs;

-- Insert data into the repairs table
INSERT INTO repairs (brand, reason, model, year, cost, mechanic) VALUES
('Apex', 'engine replacement', 'Orbit', 2021, 2500, 'Jasper'),
('Nebula', 'fluid check', 'Spectra', 2019, 60, 'Luna'),
('Starburst', 'brake inspection', 'Aurora', 2020, 150, 'Rocco'),
('Galactica', 'tire rotation', 'Horizon', 2018, 50, 'Stella'), 
('Hyperdrive', 'oil change', 'Infinity', 2022, 70, 'Leo'),
('Hyperdrive', 'tire change', 'Infinity', 2022, 90, 'Leo'),
('Hyperdrive', 'tire rotation', 'Infinity', 2022, 75, 'Leo'),
('Apex', 'transmission repair', 'Orbit', 2020, 1200, 'Felix'),
('Nebula', 'engine repair', 'Supernova', 2017, 1000, 'Ben'),
('Starburst', 'fluid change', 'Comet', 2023, 70, 'Stella'),
('Galactica', 'brake replacement', 'Horizon', 2019, 300, 'Felix'),
('Hyperdrive', 'tire rotation', 'Infinity', 2021, 90, 'Leo'),
('Apex', 'oil change', 'Orbit', 2018, 50, 'Rocco'),
('Nebula', 'transmission service', 'Spectra', 2020, 300, 'Ben'),
('Starburst', 'engine tune-up', 'Aurora', 2022, 1200, 'Luna'),
('Galactica', 'brake inspection', 'Horizon', 2023, 65, 'Felix'), 
('Hyperdrive', 'fluid top-up', 'Infinity', 2019, 85, 'Leo'),
('Apex', 'oil change', 'Orbit', 2023, 55, 'Stella'),
('Nebula', 'transmission rebuild', 'Supernova', 2018, 1300, 'Ben'), 
('Starburst', 'brake pad replacement', 'Comet', 2021, 350, 'Rocco'), 
('Galactica', 'engine diagnostics', 'Horizon', 2020, 850, 'Luna'), 
('Hyperdrive', 'tire replacement', 'Infinity', 2017, 90, 'Felix');
