-- Create the players table if it doesn't already exist
CREATE TABLE IF NOT EXISTS players (
    player_id INTEGER PRIMARY KEY,
    first_name TEXT,
    last_name TEXT,
    position TEXT,
    starter TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM players;

-- Insert data into the players table
INSERT INTO players (player_id, first_name, last_name, position, starter) VALUES
(1, 'Aaron', 'Miller', 'guard', 'yes'),
(2, 'Brandon', 'Lee', 'forward', 'yes'),
(3, 'Casey', 'Davis', 'center', 'yes'),
(4, 'Daniel', 'Wilson', 'guard', 'no'),
(5, 'Erin', 'Garcia', 'forward', 'no'),
(6, 'Felix', 'Rodriguez', 'center', 'no'),
(7, 'Gabrielle', 'Chen', 'guard', 'no'),
(8, 'Hannah', 'Kim', 'forward', 'no'),
(9, 'Isaiah', 'Patel', 'center', 'no'),
(10, 'Jasmine', 'Brown', 'guard', 'no'),
(11, 'Kevin', 'Lopez', 'guard', 'yes');

-- Create the player_stats table if it doesn't already exist
CREATE TABLE IF NOT EXISTS player_stats (
    name TEXT,
    game_id INTEGER,
    points INTEGER,
    assists INTEGER,
    rebounds INTEGER,
    steals INTEGER,
    blocks INTEGER,
    player_id INTEGER,
    FOREIGN KEY (player_id) REFERENCES players(player_id)
);

-- Clear any existing data to ensure idempotency
DELETE FROM player_stats;

-- Insert data into the player_stats table
INSERT INTO player_stats (name, game_id, points, assists, rebounds, steals, blocks, player_id) VALUES
('A. Miller', 1, 22, 5, 3, 2, 0, 1),
('B. Lee', 1, 18, 2, 8, 1, 2, 2),
('C. Davis', 1, 12, 0, 10, 0, 3, 3),
('D. Wilson', 1, 8, 3, 2, 1, 0, 4),
('E. Garcia', 1, 2, 4, 3, 0, 0, 5),
('F. Rodriguez', 2, 16, 8, 4, 3, 1, 6),
('G. Chen', 2, 14, 3, 7, 2, 0, 7),
('H. Kim', 2, 8, 1, 12, 1, 2, 8),
('I. Patel', 2, 6, 0, 5, 0, 1, 9),
('J. Brown', 2, 4, 2, 1, 1, 0, 10),
('K. Lopez', 1, 27, 4, 5, 3, 1, 11);
