-- Create the albums table if it doesn't already exist
CREATE TABLE IF NOT EXISTS albums (
    title TEXT,
    artist TEXT,
    genre TEXT,
    year INTEGER,
    price REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM albums;

-- Insert data into the albums table
INSERT INTO albums (title, artist, genre, year, price) VALUES
('Back in Black', 'AC/DC', 'Hard Rock', 1980, 11.99),
('Moving Pictures', 'Rush', 'Progressive Rock', 1981, 12.99),
('Thriller', 'Michael Jackson', 'Pop', 1982, 10.99),
('Synchronicity', 'The Police', 'Pop Rock', 1983, 9.99),
('Purple Rain', 'Prince', 'Funk', 1984, 11.99),
('Hounds of Love', 'Kate Bush', 'Art Rock', 1985, 9.99),
('Graceland', 'Paul Simon', 'Pop Rock', 1986, 10.99),
('Faith', 'George Michael', 'Pop', 1987, 11.99),
('Tracy Chapman', 'Tracy Chapman', 'Folk Rock', 1988, 12.99),
('Disintegration', 'The Cure', 'Gothic Rock', 1989, 9.99),
('Violator', 'Depeche Mode', 'Synth-pop', 1990, 10.99),
('Nevermind', 'Nirvana', 'Grunge', 1991, 11.99),
('The Chronic', 'Dr. Dre', 'Hip Hop', 1992, 12.99),
('Siamese Dream', 'The Smashing Pumpkins', 'Alternative Rock', 1993, 9.99),
('Illmatic', 'Nas', 'Hip Hop', 1994, 10.99),
('Post', 'Björk', 'Art Pop', 1995, 11.99),
('The Score', 'Fugees', 'Hip Hop', 1996, 12.99),
('OK Computer', 'Radiohead', 'Alternative Rock', 1997, 9.99),
('The Miseducation of Lauryn Hill', 'Lauryn Hill', 'Neo Soul', 1998, 10.99),
('The Soft Bulletin', 'The Flaming Lips', 'Alternative Rock', 1999, 11.99),
('Kid A', 'Radiohead', 'Art Rock', 2000, 12.99);

-- Create the songs table if it doesn't already exist
CREATE TABLE IF NOT EXISTS songs (
    song_title TEXT,
    artist TEXT,
    year INTEGER,
    genre TEXT,
    monthly_plays INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM songs;

-- Insert data into the songs table
INSERT INTO songs (song_title, artist, year, genre, monthly_plays) VALUES
('Only Tomorrow', 'My Bloody Valentine', 2013, 'Shoegaze', 88),
('The Suburbs', 'Arcade Fire', 2010, 'Indie Rock', 207),
('Strange Fruit', 'Billie Holiday', 1939, 'Jazz', 98),
('A Case of You', 'Joni Mitchell', 1971, 'Folk', 115),
('Where Is My Mind?', 'Pixies', 1988, 'Alternative Rock', 147),
('Heroes', 'David Bowie', 1977, 'Art Rock', 135),
('Love Will Tear Us Apart', 'Joy Division', 1980, 'Post-Punk', 162),
('Moon River', 'Henry Mancini', 1961, NULL, 141),
('Waterloo Sunset', 'The Kinks', 1967, 'Rock', 159),
('Like a Rolling Stone', 'Bob Dylan', 1965, 'Folk Rock', 192),
('A Change Is Gonna Come', 'Sam Cooke', 1964, 'Soul', 143),
('God Only Knows', 'The Beach Boys', 1966, 'Pop', 171),
('Mr. Blue Sky', 'Electric Light Orchestra', 1977, 'Pop Rock', 184),
('Imagine', 'John Lennon', 1971, 'Pop Rock', 198),
('Purple Rain', 'Prince', 1984, 'Pop Rock', 197),
('Creep', 'Radiohead', 1992, 'Alternative Rock', 168),
('Paranoid Android', 'Radiohead', 1997, NULL, 190),
('Do I Wanna Know?', 'Arctic Monkeys', 2013, NULL, 198),
('Mariners Apartment Complex', 'Lana Del Rey', 2018, 'Indie Pop', 139);
