-- Create the inventory table
CREATE TABLE IF NOT EXISTS inventory (
    title TEXT PRIMARY KEY,
    author TEXT NOT NULL,
    publication_year INTEGER NOT NULL,
    downloads INTEGER NOT NULL,
    price REAL NOT NULL,
    rating REAL NOT NULL CHECK (rating >= 0 AND rating <= 10)
);

-- Clear any existing data to ensure idempotency
DELETE FROM inventory;

-- Insert data into the inventory table
INSERT INTO inventory (title, author, publication_year, downloads, price, rating) VALUES
('Pride and Prejudice', 'Jane Austen', 1813, 200, 5.99, 9.6),
('Sense and Sensibility', 'Jane Austen', 1811, 150, 4.99, 9.0),
('Moby Dick', 'Herman Melville', 1851, 3500, 7.99, 8.4),
('The Importance of Being Earnest', 'Oscar Wilde', 1895, 400, 6.99, 8.0),
('Great Expectations', 'Charles Dickens', 1861, 380, 7.99, 8.6),
('Jane Eyre', 'Charlotte Brontë', 1847, 250, 5.99, 8.2),
('Wuthering Heights', 'Emily Brontë', 1847, 200, 4.99, 7.8),
('The Adventures of Sherlock Holmes', 'Arthur Conan Doyle', 1891, 500, 3.99, 9.4),
('The Picture of Dorian Gray', 'Oscar Wilde', 1890, 180, 4.99, 8.4),
('Little Women', 'Louisa May Alcott', 1868, 320, 4.99, 8.8),
('The Call of the Wild', 'Jack London', 1903, 280, 3.99, 8.0),
('Anne of Green Gables', 'L.M. Montgomery', 1908, 220, 4.99, 9.2);
