-- Create the teas table if it doesn't already exist
CREATE TABLE IF NOT EXISTS teas (
    type TEXT,
    flavor TEXT PRIMARY KEY,
    brew_temperature INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM teas;

-- Insert data into the teas table
INSERT INTO teas (type, flavor, brew_temperature) VALUES
('Black', 'Earl Grey', 205),
('Green', 'Jasmine', 175),
('Herbal', 'Peppermint', 212);

-- Create the bubble_teas table if it doesn't already exist
CREATE TABLE IF NOT EXISTS bubble_teas (
    flavor TEXT PRIMARY KEY,
    rating REAL,
    price REAL,
    restaurant TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM bubble_teas;

-- Insert data into the bubble_teas table
INSERT INTO bubble_teas (flavor, rating, price, restaurant) VALUES
('Mango', 4.5, 5.25, 'Boba Bliss'),
('Taro', 4.0, 5.00, 'The Bubble Bar'),
('Strawberry', 4.8, 5.50, 'Bubble Tea Paradise'),
('Honeydew', 4.2, 4.50, 'Boba King'),
('Milk Tea', 4.3, 4.00, 'Tea & Pearls'),
('Brown Sugar', 4.7, 4.75, 'Bubblelicious'),
('Thai Iced Tea', 3.9, 4.00, 'Boba Stop'),
('Matcha', 4.6, 5.75, 'The Tea House'),
('Passionfruit', 4.4, 5.25, 'Boba Dreams'),
('Coconut', 4.1, 4.50, 'Bubble Tea Heaven'),
('Lychee', 4.5, 4.50, 'Boba Galaxy'),
('Black Tea', 3.8, 3.75, 'Tea Time'),
('Strawberry Milk Tea', 4.9, 6.00, 'Bubblelicious'),
('Mango Smoothie', 4.2, 4.50, 'Boba King'),
('Green Tea', 4.3, 4.50, 'The Bubble Bar'),
('Pineapple', 4.6, 5.25, 'Bubble Tea Paradise'),
('Grapefruit', 3.9, 4.00, 'Boba Bliss'),
('Chocolate', 4.8, 5.50, 'The Tea House'),
('Peach', 4.1, 4.50, 'Bubble Tea Heaven');

-- Create the salads table if it doesn't already exist
CREATE TABLE IF NOT EXISTS salads (
    name TEXT PRIMARY KEY,
    price REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM salads;

-- Insert data into the salads table
INSERT INTO salads (name, price) VALUES
('Mystery Salad', 12.99),
('Tofu Salad', 10.49),
('Mango Salad', 11.99),
('Papaya Salad', 10.99),
('Soba Salad', 12.49),
('Sweet and Sour Salad', 11.29),
('Edamame and Seaweed Salad', 10.49);

-- Create the snacks table if it doesn't already exist
CREATE TABLE IF NOT EXISTS snacks (
    name TEXT PRIMARY KEY,
    price REAL,
    ingredient TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM snacks;

-- Insert data into the snacks table
INSERT INTO snacks (name, price, ingredient) VALUES
('Fermented Tofu', 7.99, 'Tofu'),
('Oyster Omelet', 8.49, 'Oyster'),
('Scallion Pancakes', 6.99, 'Scallion'),
('Pineapple Cake', 10.99, 'Pineapple'),
('Peanut Ice Cream Roll', 6.29, 'Peanut');

-- Create the subscriptions table if it doesn't already exist
CREATE TABLE IF NOT EXISTS subscriptions (
    subscription_id INTEGER PRIMARY KEY,
    customer_id INTEGER,
    flavor TEXT,
    subscription_date DATE,
    FOREIGN KEY (flavor) REFERENCES bubble_teas(flavor)
);

-- Clear any existing data to ensure idempotency
DELETE FROM subscriptions;
