-- Create the subscriptions table if it doesn't already exist
CREATE TABLE IF NOT EXISTS subscriptions (
    subscription_id INTEGER PRIMARY KEY,
    customer_id INTEGER,
    flavor TEXT,
    subscription_date DATE
);

-- Clear any existing data to ensure idempotency
DELETE FROM
    subscriptions;

-- Insert data into the subscriptions table
INSERT INTO
    subscriptions (
        subscription_id,
        customer_id,
        flavor,
        subscription_date
    )
VALUES
    (1, 1, 'Mango Tango', '07-01'),
    (2, 2, 'Taro Milk Tea', '07-05'),
    (3, 1, 'Strawberry Boba', '07-10'),
    (4, 3, 'Honeydew Green Tea', '07-15'),
    (5, 2, 'Thai Iced Tea', '07-20'),
    (6, 4, 'Matcha Latte', '07-25'),
    (7, 1, 'Mango Tango', '07-30'),
    (8, 5, 'Taro Milk Tea', '08-05'),
    (9, 4, 'Strawberry Boba', '08-10'),
    (10, 3, 'Honeydew Green Tea', '08-15');