-- Create the expenses table if it doesn't already exist
CREATE TABLE IF NOT EXISTS expenses (
  expense_id INTEGER PRIMARY KEY AUTOINCREMENT, -- Added for uniqueness
  expense_month TEXT,
  category TEXT,
  amount REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM expenses;

-- Insert data into the expenses table
INSERT INTO expenses (expense_month, category, amount) VALUES
('January', 'Food', 150.50),
('January', 'Gas', 75.25),
('January', 'Heating', 280.00),
('January', 'Rent', 1200.00),
('February', 'Food', 165.80),
('February', 'Gas', 85.00),
('February', 'Heating', 265.75),
('February', 'Rent', 1200.00),
('March', 'Food', 178.15),
('March', 'Gas', 68.20),
('March', 'Heating', 190.50),
('March', 'Rent', 1200.00),
('April', 'Food', 195.00),
('April', 'Gas', 52.00),
('April', 'Entertainment', 135.00),
('April', 'Rent', 1200.00),
('May', 'Food', 188.70),
('May', 'Gas', 40.00),
('May', 'Entertainment', 98.25),
('May', 'Rent', 1200.00),
('June', 'Food', 167.40),
('June', 'Gas', 28.60),
('June', 'Entertainment', 105.90),
('June', 'Rent', 1200.00);
