-- Create the recipes table
CREATE TABLE IF NOT EXISTS recipes (
    recipe_id INTEGER PRIMARY KEY AUTOINCREMENT,
    recipe_name TEXT NOT NULL UNIQUE,
    spice_level INTEGER CHECK (spice_level BETWEEN 1 AND 3),
    prep_time INTEGER CHECK (prep_time > 0)
);

-- Clear any existing data to ensure idempotency in the recipes table
DELETE FROM recipes;

-- Insert data into the recipes table
INSERT INTO recipes (recipe_name, spice_level, prep_time) VALUES
('Veggie Volcano', 1, 30),
('White Chicken Chili', 2, 40),
('Smoky BBQ', 3, 45),
('Sweet and Spicy Chili', 3, 50),
('Classic Three-Bean Chili', 2, 35),
('Black Bean and Corn Chili', 1, 40),
('Turkey Pumpkin Chili', 2, 55),
('Buffalo Chicken Chili', 3, 55),
('Lentil and Sweet Potato Chili', 1, 40);

-- Create the peppers table
CREATE TABLE IF NOT EXISTS peppers (
    name TEXT PRIMARY KEY,
    heat INTEGER
);

-- Clear any existing data to ensure idempotency in the peppers table
DELETE FROM peppers;

-- Insert data into the peppers table
INSERT INTO peppers (name, heat) VALUES
('Ghost Pepper', 948213),
('Bell Pepper', 0),
('Poblano', 1500),
('Anaheim', 1500),
('Jalapeño', 5000),
('Habanero', 225000);