-- Create the catering table if it doesn't already exist
CREATE TABLE IF NOT EXISTS catering (
    caterer_id TEXT PRIMARY KEY,
    caterer_name TEXT,
    cuisine TEXT,
    price_range TEXT,
    rating INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM catering;

-- Insert data into the catering table
INSERT INTO catering (caterer_id, caterer_name, cuisine, price_range, rating) VALUES
('C001', 'Gourmet Galore', 'French', 'High', 5),
('C002', 'Urban Bites', 'American', 'Mid-Range', 4),
('C003', 'Spice Route', 'Indian', 'Mid-Range', 4),
('C004', 'Sushi Samba', 'Japanese', 'High', 4),
('C005', 'Pasta Perfection', 'Italian', 'Mid-Range', 3),
('C006', 'Taco Fiesta', 'Mexican', 'Low', 4),
('C007', 'Green Leaf Catering', 'Vegan', 'Mid-Range', 5),
('C008', 'Sweet Surrender', 'Desserts', 'High', 5),
('C009', 'Coffee Cravings', 'Coffee & Tea', 'Low', 4),
('C010', 'Cocktail Culture', 'Cocktails & Mocktails', 'High', 5);

-- Create the entertainment table if it doesn't already exist
CREATE TABLE IF NOT EXISTS entertainment (
    entertainment_id TEXT PRIMARY KEY,
    entertainment_type TEXT,
    genre TEXT,
    availability TEXT,
    price_range TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM entertainment;

-- Insert data into the entertainment table
INSERT INTO entertainment (entertainment_id, entertainment_type, genre, availability, price_range) VALUES
('E001', 'Jazz Trio', 'Jazz', 'Weekend', 'High'),
('E002', 'DJ Spinmaster', 'Electronic', 'Weekend', 'Mid-Range'),
('E003', 'The String Quartet', 'Classical', 'Weekday', 'High'),
('E004', 'The Cover Band', 'Pop/Rock', 'Weekend', 'Mid-Range'),
('E005', 'The Magician', 'Magic Show', 'Weekday', 'Mid-Range'),
('E006', 'The Comedian', 'Stand-up Comedy', 'Weekend', 'Low'),
('E007', 'The Caricaturist', 'Live Art', 'Weekday', 'Low'),
('E008', 'The Photo Booth', 'Photo Booth', 'Weekend', 'Low'),
('E009', 'The Karaoke Machine', 'Karaoke', 'Weekday', 'Low'),
('E010', 'The Silent Disco', 'Silent Disco', 'Weekend', 'Mid-Range');

-- Create the venues table if it doesn't already exist with new columns
CREATE TABLE IF NOT EXISTS venues (
    venue_type TEXT,
    neighborhood TEXT,
    budget_category TEXT,
    event_type TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM venues;

-- Insert data into the venues table with new columns
INSERT INTO venues (venue_type, neighborhood, budget_category, event_type) VALUES
('Ballroom', 'Midtown', 'High', 'Corporate Event'),
('Lounge', 'Financial District', 'Mid-Range', 'Social Gathering'),
('Warehouse', 'Williamsburg', 'Low', 'Casual Meetup'),
('Museum', 'Central Park', 'High', 'Exhibition'),
('Hotel', 'Central Park', 'Mid-Range', 'Conference'),
('Hotel', 'Midtown', 'Mid-Range', 'Conference'),
('Hotel', 'Midtown', 'Mid-Range', 'Conference'),
('Hotel', 'Williamsburg', 'Mid-Range', 'Social Gathering'),
('Hotel', 'Financial District', 'Mid-Range', 'Corporate Event');

