-- Create the products table if it doesn't already exist
CREATE TABLE IF NOT EXISTS products (
    product_id TEXT,
    category TEXT,
    color TEXT,
    price REAL,
    inventory INTEGER,
    discount REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM products;

-- Insert initial data into the products table
INSERT INTO products (product_id, category, color, price, inventory, discount) VALUES
('FXD129', 'T-shirt', 'Red', 29.99, 25, 0.15),
('GBK274', 'T-shirt', 'Blue', 14.99, 30, NULL),
('WPR843', 'Dress', 'Red', 45.00, 10, 0.10),
('MLQ385', 'Dress', NULL, 50.00, 5, 0.20),
('ZNT432', 'Sweater', 'Green', 55.00, NULL, 0.25),
('VWX517', 'Sweater', 'Red', 60.00, 15, NULL),
('QCY639', 'Jacket', 'Black', 80.00, 8, 0.05),
('RZT849', 'Jeans', 'Blue', 40.00, 20, NULL),
('HBK931', 'Jeans', 'Black', 45.00, 10, 0.30),
('UPT274', 'T-shirt', 'White', 20.00, 12, NULL),
('LMN582', 'Dress', 'Blue', 42.50, 18, NULL),
('YJX306', 'Sweater', NULL, 65.00, NULL, 0.10),
('KQL748', 'Jacket', 'Red', 75.00, 7, NULL),
('BRS194', 'Jeans', 'Green', 50.00, 15, 0.10),
('NVX230', 'T-shirt', 'Yellow', 17.50, 5, 0.20),
('DTK437', 'Dress', 'Pink', 48.99, 9, 0.05),
('XPH620', 'Sweater', 'Blue', 70.00, 12, 0.15),
('FQV983', 'Jacket', 'Yellow', 85.00, 6, 0.10),
('MRK125', 'Jeans', 'Red', 38.00, 2, NULL),
('WPL459', 'T-shirt', 'Green', 16.00, 8, 0.05),
('TZX341', 'Dress', 'White', 49.99, NULL, 0.15),
('KVY287', 'Sweater', 'Black', 75.00, 10, NULL),
('GPJ840', 'Jacket', 'Blue', 90.00, 3, 0.25),
('LQN902', 'Jeans', NULL, 42.00, 12, NULL),
('JXD514', 'T-shirt', 'Pink', 18.50, 7, 0.10),
('RKT673', 'Dress', 'Yellow', 47.00, 11, NULL),
('YFV761', 'Sweater', 'White', 60.00, 6, 0.05),
('ZCM598', 'Jacket', 'Green', 95.00, 4, 0.20),
('BRH230', 'Jeans', 'Red', 35.00, 1, NULL),
('WPS382', 'T-shirt', 'Black', 15.00, 20, 0.30),
('NEW001', 'Dress', 'Green', 35.00, 10, NULL),
('NEW002', 'Dress', 'Purple', 55.00, 5, NULL);
