-- Create users table if it doesn't exist
CREATE TABLE IF NOT EXISTS users (
    user_id INTEGER PRIMARY KEY,
    username TEXT NOT NULL,
    location TEXT NOT NULL
);

-- Create auctions table if it doesn't exist
CREATE TABLE IF NOT EXISTS auctions (
    auction_id INTEGER PRIMARY KEY,
    seller_id INTEGER,
    item_name TEXT NOT NULL,
    starting_bid REAL NOT NULL
);

-- Drop data from users and auctions tables
DELETE FROM users;
DELETE FROM auctions;

-- Insert data into users table
INSERT INTO users (user_id, username, location) VALUES
(1, 'fiery_collector', 'London'),
(2, 'vintage_voyageur', 'Paris'),
(3, 'antique_enthusiast', 'New York'),
(4, 'retro_relics', 'Tokyo'),
(5, 'nostalgia_hunter', 'Berlin');

-- Insert data into auctions table
INSERT INTO auctions (auction_id, seller_id, item_name, starting_bid) VALUES
(102, 1, 'Vintage Globe', 50.00),
(104, 2, 'Silver Locket', 75.00),
(105, 3, 'Ancient Vase', 200.00),
(106, 4, 'Retro Radio', 45.00),
(107, 5, 'Classic Comic Book', 120.00),
(108, 1, 'Old Map', 30.00),
(109, 2, 'Antique Watch', 150.00),
(110, 3, 'Vintage Camera', 80.00),
(111, 4, 'Historical Document', 250.00),
(112, 5, 'Retro Video Game', 60.00);
