-- Create the recipes table if it doesn't already exist
CREATE TABLE IF NOT EXISTS recipes (
    name TEXT,
    flavor TEXT,
    cuisine TEXT,
    dietary_need TEXT,
    contains_nuts TEXT,
    spice_level TEXT,
    rating REAL,
    prep_time INTEGER,
    cost_per_serving REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM recipes;

-- Insert data into the recipes table
INSERT INTO recipes (name, flavor, cuisine, dietary_need, contains_nuts, spice_level, rating, prep_time, cost_per_serving) VALUES
('Spicy Tofu Stir-Fry', 'Spicy', 'Chinese', 'Vegan', 'Yes', 'High', 4.7, 25, 4.2),
('Mediterranean Quinoa Salad', 'Savory', 'Mediterranean', 'Vegan', 'No', 'Mild', 4.9, 20, 3.8),
('Black Bean Burgers', 'Savory', 'American', 'Vegetarian', 'No', 'Medium', 4.5, 35, 3.5),
('Chicken Tikka Masala', 'Spicy', 'Indian', 'Gluten-Free', 'Yes', 'High', 4.8, 50, 6.2),
('Creamy Pesto Pasta', 'Savory', 'Italian', 'Vegetarian', 'Yes', 'Mild', 4.6, 25, 4.8),
('Chocolate Avocado Mousse', 'Sweet', 'Dessert', 'Vegan', 'No', 'None', 4.2, 15, 5.5),
('Mango Lassi', 'Sweet', 'Indian', 'Vegetarian', 'No', 'Mild', 4.9, 10, 2.8),
('Spicy Lentil Soup', 'Spicy', 'Indian', 'Vegan', 'No', 'High', 4.5, 30, 3.2);
