-- Create the ingredients table if it doesn't already exist
CREATE TABLE IF NOT EXISTS ingredients (
    fragrance_id INTEGER,
    name TEXT,
    type TEXT,
    quantity INTEGER,
    concentration REAL,
    shelf_life_months INTEGER,
    scent_profile TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM ingredients;

-- Insert data into the ingredients table
INSERT INTO ingredients (fragrance_id, name, type, quantity, concentration, shelf_life_months, scent_profile) VALUES
(1, 'sandalwood', 'base note', 100, 0.05, 36, 'woody'),
(1, 'bergamot', 'top note', 30, 0.2, 12, 'citrus'),
(1, 'vanilla', 'base note', 60, 0.15, 18, 'sweet'),
(1, 'jasmine', 'floral', 40, 0.12, 24, 'floral'),
(1, 'cedarwood', 'base note', 55, 0.1, 36, 'woody'),
(1, 'ylang-ylang', 'base note', 65, 0.09, 24, 'floral'),
(1, 'amber', 'base note', 70, 0.12, 36, 'earthy'),
(1, 'peppermint', 'herbaceous', 40, 0.1, 12, 'minty'),
(1, 'eucalyptus', 'herbaceous', 50, 0.09, 18, 'minty'),
(1, 'oakmoss', 'base note', 60, 0.07, 24, 'earthy'),

(2, 'rose', 'floral', 50, 0.1, 24, 'floral'),
(2, 'lavender', 'base note', 70, 0.07, 36, 'floral'),
(2, 'cinnamon', 'spicy', 45, 0.18, 24, 'spicy'),
(2, 'orange', 'citrus', 35, 0.25, 12, 'citrus'),
(2, 'ginger', 'spicy', 40, 0.2, 18, 'spicy'),
(2, 'lily', 'floral', 55, 0.08, 24, 'floral'),
(2, 'lemongrass', 'citrus', 30, 0.15, 12, 'citrus'),
(2, 'bergamot mint', 'citrus', 35, 0.18, 12, 'citrus'),
(2, 'neroli', 'floral', 45, 0.1, 24, 'floral'),

(3, 'patchouli', 'base note', 80, 0.08, 48, 'earthy'),
(3, 'jasmine', 'floral', 40, 0.12, 24, 'floral'),
(3, 'cedarwood', 'base note', 55, 0.1, 36, 'woody'),
(3, 'amber', 'base note', 70, 0.12, 36, 'earthy'),
(3, 'peppermint', 'herbaceous', 40, 0.1, 12, 'minty'),
(3, 'eucalyptus', 'herbaceous', 50, 0.09, 18, 'minty'),
(3, 'oakmoss', 'base note', 60, 0.07, 24, 'earthy'),

(1, 'rose', 'floral', 50, 0.11, 24, 'floral'),
(1, 'lavender', 'base note', 70, 0.08, 36, 'floral'),
(1, 'cinnamon', 'spicy', 45, 0.19, 24, 'spicy'),
(1, 'orange', 'citrus', 35, 0.26, 12, 'citrus'),
(1, 'ginger', 'spicy', 40, 0.21, 18, 'spicy'),
(1, 'lily', 'floral', 55, 0.09, 24, 'floral'),
(1, 'lemongrass', 'citrus', 30, 0.16, 12, 'citrus'),
(1, 'bergamot mint', 'citrus', 35, 0.19, 12, 'citrus'),
(1, 'neroli', 'floral', 45, 0.11, 24, 'floral'),

(2, 'sandalwood', 'base note', 100, 0.06, 36, 'woody'),
(2, 'patchouli', 'base note', 80, 0.09, 48, 'earthy'),
(2, 'vanilla', 'base note', 60, 0.16, 18, 'sweet'),
(2, 'ylang-ylang', 'base note', 65, 0.1, 24, 'floral'),
(2, 'amber', 'base note', 70, 0.13, 36, 'earthy'),
(2, 'peppermint', 'herbaceous', 40, 0.11, 12, 'minty'),
(2, 'eucalyptus', 'herbaceous', 50, 0.1, 18, 'minty'),
(2, 'oakmoss', 'base note', 60, 0.08, 24, 'earthy'),

(3, 'rose', 'floral', 50, 0.12, 24, 'floral'),
(3, 'lavender', 'base note', 70, 0.09, 36, 'floral'),
(3, 'cinnamon', 'spicy', 45, 0.2, 24, 'spicy'),
(3, 'orange', 'citrus', 35, 0.27, 12, 'citrus'),
(3, 'ginger', 'spicy', 40, 0.22, 18, 'spicy'),
(3, 'lily', 'floral', 55, 0.1, 24, 'floral'),
(3, 'lemongrass', 'citrus', 30, 0.17, 12, 'citrus'),
(3, 'bergamot mint', 'citrus', 35, 0.2, 12, 'citrus'),
(3, 'neroli', 'floral', 45, 0.12, 24, 'floral');