-- Create the meals table if it doesn't already exist
CREATE TABLE IF NOT EXISTS meals (
    name TEXT,
    cuisine TEXT,
    audience TEXT,
    dietary_need TEXT,
    cooking_time INTEGER,
    rating REAL,
    shelf_life_days INTEGER,
    customer_feedback TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM
    meals;

-- Insert data into the meals table
INSERT INTO
    meals (
        name,
        cuisine,
        audience,
        dietary_need,
        cooking_time,
        rating,
        shelf_life_days,
        customer_feedback
    )
VALUES
    (
        'chicken alfredo',
        'italian',
        'families',
        'none',
        35,
        4.2,
        80,
        'easy to reheat'
    ),
    (
        'beef tacos',
        'mexican',
        'families',
        'none',
        25,
        4.5,
        60,
        'good for meal prep'
    ),
    (
        'vegetable curry',
        'indian',
        'individuals',
        'vegetarian',
        40,
        4.7,
        90,
        'highly recommend'
    ),
    (
        'pad thai',
        'thai',
        'individuals',
        'vegetarian',
        30,
        4.8,
        70,
        'quick and easy'
    ),
    (
        'spaghetti and meatballs',
        'italian',
        'families',
        'none',
        45,
        4.6,
        85,
        'family favorite'
    );