-- Create the events table if it doesn't already exist
CREATE TABLE IF NOT EXISTS events (
    event_id INTEGER PRIMARY KEY,
    name TEXT,
    cost REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM events;

-- Insert data into the events table
INSERT INTO events (event_id, name, cost) VALUES
(1, 'Yoga Workshop', 10),
(2, 'Latin Dance', 15),
(3, 'Mat Pilates', 12),
(4, 'Dance Party', 20);

-- Create the members table if it doesn't already exist
CREATE TABLE IF NOT EXISTS members (
    member_id INTEGER PRIMARY KEY,
    name TEXT,
    email TEXT,
    event_id INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM members;

-- Insert data into the members table
INSERT INTO members (member_id, name, email, event_id) VALUES
(1, 'Aruna Patel', 'arunap92@upskew.com', 1),
(2, 'Jin-Ho Kim', 'jinhorocks@upskew.com', 2),
(3, 'Jasper Singh', 'j.singh023@upskew.com', 3),
(4, 'Santiago Lopez', 'slopez0@upskew.com', 1),
(5, 'Jason Chen', 'jasonc88@upskew.com', 2),
(6, 'Aisha Abdullah', 'aisha.a@upskew.com', 3),
(7, 'Alessia Ricci', 'alricci@upskew.com', 1),
(8, 'Ravi Gupta', 'r.gupta@upskew.com', 2),
(9, 'Ashwini Naidu', 'ashwini_naidu@upskew.com', NULL),
(10, 'Amira Tan', 'amiraexercises@upskew.com', NULL);
