-- Create the herb_inventory table if it doesn't already exist
CREATE TABLE IF NOT EXISTS herb_inventory (
    herb_name TEXT,
    quantity_grams REAL,
    price_per_gram REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM herb_inventory;

-- Insert data into the herb_inventory table
INSERT INTO herb_inventory (herb_name, quantity_grams, price_per_gram) VALUES
('Thyme', 250, 0.05),
('Rosemary', 180, 0.08),
('Bay Leaf', 300, 0.04),
('Basil', 150, 0.07),
('Oregano', 200, 0.06),
('Mint', 100, 0.09),
('Sage', 120, 0.05),
('Parsley', 90, 0.03),
('Cilantro', 110, 0.06),
('Lavender', 70, 0.10),
('Tarragon', 130, 0.07),
('Dill', 160, 0.05),
('Chives', 140, 0.04),
('Fennel', 200, 0.06),
('Marjoram', 110, 0.06),
('Lemon Balm', 100, 0.09);

-- Create the herbs table if it doesn't already exist
CREATE TABLE IF NOT EXISTS herbs (
    herb_name TEXT,
    description TEXT,
    region TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM herbs;

-- Insert data into the herbs table
INSERT INTO herbs (herb_name, description, region) VALUES
('Thyme', 'grilled meats and vegetables', 'Montpellier'),
('Rosemary', 'hearty stews', 'Montpellier'),
('Bay Leaf', 'add depth to soups', 'Montpellier'),
('Basil', 'pasta sauces and salads', 'Genoa'),
('Lemon Balm', 'teas and marinades', 'Turkey');
