-- Create the favorite_sites table if it doesn't already exist
CREATE TABLE IF NOT EXISTS favorite_sites (
    id INTEGER PRIMARY KEY,
    name TEXT,
    country TEXT,
    city TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM favorite_sites;

-- Insert data into the favorite_sites table
INSERT INTO favorite_sites (id, name, country, city) VALUES
(1, 'Statue of Liberty', 'USA', 'New York'),
(2, 'Eiffel Tower', 'France', 'Paris'),
(3, 'Stonehenge', 'UK', 'Amesbury'),
(4, 'Acropolis', 'Greece', 'Athens'),
(5, 'Pyramids of Giza', 'Egypt', 'Giza');

-- Create the historical_sites table if it doesn't already exist
CREATE TABLE IF NOT EXISTS historical_sites (
    id INTEGER PRIMARY KEY,
    site_name TEXT,
    country TEXT,
    city TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM historical_sites;

-- Insert data into the historical_sites table
INSERT INTO historical_sites (id, site_name, country, city) VALUES
(1, 'Colosseum', 'Italy', 'Rome'),
(2, 'Great Wall of China', 'China', 'Beijing'),
(3, 'Machu Picchu', 'Peru', 'Cusco'),
(4, 'Petra', 'Jordan', 'Petra'),
(5, 'Taj Mahal', 'India', 'Agra');

-- Create the travelers table if it doesn't already exist
CREATE TABLE IF NOT EXISTS travelers (
    id INTEGER PRIMARY KEY,
    first_name TEXT,
    last_name TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM travelers;

-- Insert data into the travelers table
INSERT INTO travelers (id, first_name, last_name) VALUES
(1, 'Marco', 'Smith'),
(2, 'Maria', 'Garcia'),
(3, 'John', 'Johnson'),
(4, 'Emily', 'Brown'),
(5, 'Alex', 'Martinez');
