-- Create the guests table
CREATE TABLE IF NOT EXISTS guests (
    guest_id INTEGER PRIMARY KEY,
    first_name TEXT NOT NULL,
    last_name TEXT NOT NULL
);

-- Clear any existing data in guests table
DELETE FROM guests;

-- Insert data into the guests table
INSERT INTO guests (guest_id, first_name, last_name) VALUES
(101, 'Aaron', 'Whittaker'),
(102, 'Jay', 'Fitzgerald'),
(103, 'Sophia', 'Blackwood'),
(104, 'Quentin', 'Montgomery'),
(105, 'Harry', 'Winthrop');

-- Create the rooms table
CREATE TABLE IF NOT EXISTS rooms (
    room_number INTEGER PRIMARY KEY,
    room_type TEXT NOT NULL,
    price_per_night REAL NOT NULL CHECK (price_per_night > 0)
);

-- Clear any existing data in rooms table
DELETE FROM rooms;

-- Insert data into the rooms table
INSERT INTO rooms (room_number, room_type, price_per_night) VALUES
(10, 'Double Double', 100),
(11, 'Double Double', 100),
(12, 'Queen Suite', 150),
(13, 'Double Double', 100),
(14, 'King Deluxe', 200),
(15, 'Double Double', 100),
(16, 'Queen Suite', 150),
(17, 'King Deluxe', 200),
(18, 'Double Double', 100),
(19, 'Queen Suite', 150),
(20, 'King Deluxe', 200);

-- Create the bookings table
CREATE TABLE IF NOT EXISTS bookings (
    booking_id INTEGER PRIMARY KEY,
    guest_id INTEGER NOT NULL,
    room_number INTEGER NOT NULL,
    check_in_date DATE NOT NULL,
    check_out_date DATE NOT NULL
);

-- Clear any existing data in bookings table
DELETE FROM bookings;

-- Insert data into the bookings table
INSERT INTO bookings (booking_id, guest_id, room_number, check_in_date, check_out_date) VALUES
(1, 101, 12, '1999-12-31', '2000-01-05'),
(2, 102, 14, '2000-01-02', '2000-01-07'),
(3, 103, 16, '2000-01-05', '2000-01-10'),
(4, 104, 18, '2000-01-08', '2000-01-12'),
(5, 105, 20, '2000-01-11', '2000-01-15'),
(6, 102, 10, '2001-04-01', '2001-04-05'),
(7, 102, 11, '2001-05-10', '2001-05-15'),
(8, 103, 17, '2001-06-20', '2001-06-25');
