-- Create the income table if it doesn't already exist
CREATE TABLE IF NOT EXISTS income (
  income_id INTEGER PRIMARY KEY AUTOINCREMENT, -- Added for uniqueness
  client TEXT,
  industry TEXT,
  project_name TEXT,
  revenue INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM income;

-- Insert data into the income table
INSERT INTO income (client, industry, project_name, revenue) VALUES
('Between the Sound', 'retail', 'SQL Data Analysis Tool', 800),
('Between the Sound', 'retail', 'Data Migration Project', 400),
('Groovy Groceries', 'food', 'Inventory Database Management', 700),
('Groovy Groceries', 'food', 'Supplier Integration Project', 600),
('Groovy Groceries', 'food', 'Price Optimization Analysis', 400),
('Select-All-Stars', 'sports', 'Player Performance Analytics', 400),
('Select-All-Stars', 'sports', 'Fan Demographic Analysis', 200),
('Select-All-Stars', 'sports', 'Game Statistics Dashboard', 300),
('Select-All-Stars', 'sports', 'Season Ticket Sales Forecasting', 800),
('Select-All-Stars', 'sports', 'Opponent Scouting System', 500),
('Grandma''s Pies', 'food', 'Sales Data Analysis Tool', 600),
('Grandma''s Pies', 'food', 'Inventory Management Database', 100),
('Grandma''s Pies', 'food', 'Customer Feedback Analysis', 500),
('JThread', 'retail', 'Online Sales Analytics Platform', 300),
('JThread', 'retail', 'Customer Segmentation Analysis', 400),
('JThread', 'retail', 'Product Recommendation Engine', 700),
('JThread', 'retail', 'Supply Chain Optimization Project', 500),
('Marco''s Bubble Tea', 'food', 'Demographic Analysis', 250);