-- Create the issues table if it doesn't already exist
CREATE TABLE IF NOT EXISTS issues (
  issue_id INTEGER PRIMARY KEY,
  summary TEXT,
  issue_status TEXT,
  priority TEXT,
  component TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM issues;

-- Insert data into the issues table
INSERT INTO issues (issue_id, summary, issue_status, priority, component) VALUES
(1, 'transaction history display error', 'open', 'high', 'account summary'),
(2, 'improve bill pay ui', 'in progress', 'medium', 'bill pay'),
(3, 'fingerprint login error', 'open', 'high', 'authentication'),
(4, 'add international transfer feature', 'closed', 'high', 'transfers'),
(5, 'slow login times on 4g', 'open', 'medium', 'performance'),
(6, 'two factor auth enhancement', 'closed', 'high', 'security'),
(7, 'customize account nicknames', 'closed', 'low', 'user profile'),
(8, 'reporting dashboard for spending', 'resolved', 'high', 'account summary');

-- Create the users table if it doesn't already exist
CREATE TABLE IF NOT EXISTS users (
  user_id INTEGER PRIMARY KEY,
  username TEXT,
  role TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM users;

-- Insert data into the users table
INSERT INTO users (user_id, username, role) VALUES
(1, 'priya', 'developer'),
(2, 'carlos', 'tester'),
(3, 'aisha', 'designer'),
(4, 'james', 'product manager'),
(5, 'lin', 'developer');
