-- Create the bracelets table
CREATE TABLE IF NOT EXISTS bracelets (
    product_id INTEGER PRIMARY KEY AUTOINCREMENT,
    product_name TEXT NOT NULL UNIQUE,
    price REAL CHECK (price > 0),
    views INTEGER CHECK (views >= 0)
);

-- Clear any existing data to ensure idempotency
DELETE FROM bracelets;

-- Insert data into the bracelets table
INSERT INTO bracelets (product_name, price, views) VALUES
('Harmony Bracelet', 60.00, 220),
('Unity Bracelet', 65.00, 240),
('Peace Bracelet', 55.00, 200),
('Serenity Bracelet', 70.00, 230),
('Bliss Bracelet', 75.00, 210),
('Tranquil Bracelet', 50.00, 250),
('Calm Bracelet', 45.00, 260),
('Joy Bracelet', 40.00, 270),
('Happy Bracelet', 35.00, 280),
('Economy Bracelet', 30.00, 290);

-- Create the earrings table
CREATE TABLE IF NOT EXISTS earrings (
    product_id INTEGER PRIMARY KEY AUTOINCREMENT,
    product_name TEXT NOT NULL UNIQUE,
    price REAL CHECK (price > 0),
    views INTEGER CHECK (views >= 0)
);

-- Clear any existing data to ensure idempotency
DELETE FROM earrings;

-- Insert data into the earrings table
INSERT INTO earrings (product_name, price, views) VALUES
('Sparkle Earrings', 40.00, 150),
('Elegance Earrings', 45.00, 200),
('Twinkle Earrings', 38.00, 180),
('Dazzle Earrings', 42.00, 160),
('Shimmer Earrings', 35.00, 170),
('Glitter Earrings', 50.00, 210),
('Lustre Earrings', 37.00, 190),
('Radiance Earrings', 44.00, 220),
('Glisten Earrings', 39.00, 140),
('Shine Earrings', 36.00, 130);

-- Create the necklaces table
CREATE TABLE IF NOT EXISTS necklaces (
    product_id INTEGER PRIMARY KEY AUTOINCREMENT,
    product_name TEXT NOT NULL UNIQUE,
    price REAL CHECK (price > 0),
    views INTEGER CHECK (views >= 0)
);

-- Clear any existing data to ensure idempotency
DELETE FROM necklaces;

-- Insert data into the necklaces table
INSERT INTO necklaces (product_name, price, views) VALUES
('Moonlit Necklace', 150.00, 300),
('Starry Necklace', 170.00, 350),
('Celestial Necklace', 160.00, 320),
('Lunar Necklace', 180.00, 310),
('Solar Necklace', 140.00, 330),
('Comet Necklace', 130.00, 340),
('Meteor Necklace', 190.00, 290),
('Nebula Necklace', 155.00, 300),
('Galaxy Necklace', 165.00, 310),
('Cosmos Necklace', 175.00, 340);

-- Create the rings table
CREATE TABLE IF NOT EXISTS rings (
    product_id INTEGER PRIMARY KEY AUTOINCREMENT,
    product_name TEXT NOT NULL UNIQUE,
    price REAL CHECK (price > 0)
);

-- Clear any existing data to ensure idempotency
DELETE FROM rings;

-- Insert data into the rings table
INSERT INTO rings (product_name, price) VALUES
('Mirage Ring', 110.00),
('Everlasting Ring', 125.00),
('Timeless Ring', 98.00),
('Classic Ring', 72.00),
('Emerald Ring', 62.00),
('Graceful Ring', 55.00),
('Aurora Ring', 85.00),
('Red Ring', 59.00),
('Serene Ring', 65.00),
('Willow Ring', 68.00);
