-- Create the yarn table
CREATE TABLE IF NOT EXISTS yarn (
    yarn_id INTEGER PRIMARY KEY,
    yarn_type TEXT NOT NULL,
    color TEXT NOT NULL
);

-- Insert data into the yarn table
INSERT INTO yarn (yarn_id, yarn_type, color) VALUES
(1, 'Cotton', 'Aqua'),
(2, 'Wool', 'Aqua'),
(3, 'Silk', 'Aqua'),
(4, 'Cotton', 'Beige'),
(5, 'Wool', 'Beige'),
(6, 'Cotton', 'Brown'),
(7, 'Wool', 'Brown'),
(8, 'Silk', 'Brown'),
(9, 'Cotton', 'Coral'),
(10, 'Wool', 'Coral'),
(11, 'Cotton', 'Cream'),
(12, 'Wool', 'Cream'),
(13, 'Silk', 'Cream'),
(14, 'Cotton', 'Fuchsia'),
(15, 'Wool', 'Fuchsia');

-- Create the projects table
CREATE TABLE IF NOT EXISTS projects (
    project_id INTEGER PRIMARY KEY,
    title TEXT NOT NULL,
    pattern TEXT NOT NULL,
    yarn TEXT NOT NULL,
    color TEXT NOT NULL,
    completed BOOLEAN NOT NULL
);

-- Clear any existing data to ensure idempotency
DELETE FROM projects;

-- Insert data into the projects table
INSERT INTO projects (project_id, title, pattern, yarn, color, completed) VALUES
(1, 'Cozy Blanket', 'Diamond Stitch', 'Merino Wool', 'Cream', TRUE),
(2, 'Striped Scarf', 'Garter Stitch', 'Alpaca', 'Blue', FALSE),
(3, 'Beanie Hat', 'Ribbed Stitch', 'Cotton', 'Gray', TRUE),
(4, 'Fingerless Gloves', 'Basketweave Stitch', 'Cashmere', 'Brown', TRUE),
(5, 'Infinity Scarf', 'Lace Stitch', 'Silk', 'Teal', FALSE),
(6, 'Chunky Sweater', 'Cable Stitch', 'Wool', 'Beige', TRUE),
(7, 'Socks', 'Fair Isle Stitch', 'Bamboo', 'Green', FALSE),
(8, 'Mittens', 'Herringbone Stitch', 'Mohair', 'Purple', TRUE),
(9, 'Shawl', 'Feather and Fan Stitch', 'Linen', 'White', TRUE),
(10, 'Summer Top', 'Shell Stitch', 'Cotton', 'Coral', FALSE),
(11, 'Warm Hat', 'Simple Stitch', 'Wool', 'Gray', TRUE),
(12, 'Coffee Cozy', 'Textured Stitch', 'Acrylic', 'Brown', TRUE),
(13, 'Cowl', 'Ribbed Stitch', 'Silk', 'Black', FALSE),
(14, 'Ear Warmer', 'Twisted Rib Stitch', 'Wool', 'Fuchsia', TRUE),
(15, 'Dish Cloth', 'Garter Stitch', 'Cotton', 'Aqua', TRUE),
(16, 'Slippers', 'Stockinette Stitch', 'Acrylic', 'Beige', FALSE),
(17, 'Headband', 'Braided Stitch', 'Cotton', 'Fuchsia', FALSE),
(18, 'Travel Blanket', 'Chevron Pattern', 'Wool', 'Blue', FALSE),
(19, 'Sun Hat', 'Brimmed Stitch', 'Cotton', 'Beige', TRUE),
(20, 'Shawl', 'Waves Stitch', 'Silk', 'Lavender', TRUE),
(21, 'Crochet Bag', 'Basket Stitch', 'Cotton', 'Orange', FALSE),
(22, 'Blanket', 'Ripple Stitch', 'Acrylic', 'Gray', TRUE);
