-- Create the books table if it doesn't already exist
CREATE TABLE IF NOT EXISTS books (
    title TEXT,
    author TEXT,
    genre TEXT,
    published_year INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM books;

-- Insert data into the books table
INSERT INTO books (title, author, genre, published_year) VALUES
("Emma", "Jane Austen", "Romance", 1815),
("The Invisible Man", "H.G. Wells", "Sci-Fi", 1897),
("Anne of Green Gables", "L.M. Montgomery", "Coming-of-Age", 1908),
("The Picture of Dorian Gray", "Oscar Wilde", "Gothic", 1890),
(NULL, "Oscar Wilde", "Gothic", 1890),
("The Importance of Being Earnest", "Oscar Wilde", "Play", 1895),
("Sense and Sensibility", "Jane Austen", "Romance", 1811),
("Through the Looking-Glass", "Lewis Carroll", "Fantasy", 1871),
("Pride and Prejudice", "Jane Austen", "Romance", 1813),
("The Time Machine", "H.G. Wells", "Sci-Fi", 1895),
("Frankenstein", "Mary Shelley", "Gothic", 1818),
("Dracula", "Bram Stoker", "Gothic", 1897),
("The War of the Worlds", "H.G. Wells", "Sci-Fi", 1898),
("Moby-Dick", "Herman Melville", "Adventure", 1851),
("Little Women", "Louisa May Alcott", "Coming-of-Age", 1868),
("Treasure Island", "Robert Louis Stevenson", "Adventure", 1883),
("The Strange Case of Dr. Jekyll and Mr. Hyde", "Robert Louis Stevenson", "Gothic", 1886),
("The Hound of the Baskervilles", "Arthur Conan Doyle", "Mystery", 1902),
("The Call of the Wild", "Jack London", "Adventure", 1903);

-- Create the borrowers table if it doesn't already exist
CREATE TABLE IF NOT EXISTS borrowers (
    member_id INTEGER PRIMARY KEY,
    member_name TEXT,
    borrowed_book TEXT,
    email TEXT,
    due_date DATE
);

-- Clear any existing data to ensure idempotency
DELETE FROM borrowers;

-- Insert data into the borrowers table
INSERT INTO borrowers (member_id, member_name, borrowed_book, due_date, email) VALUES
(1, "Jamal", "The Adventures of Tom Sawyer", '2023-12-25', "jamal@example.com"),
(2, "Sofia", "Pride and Prejudice", '2023-12-26', NULL),
(3, "Diego", "The Strange Case of Dr. Jekyll and Mr. Hyde", '2023-12-27', "diego@example.com"),
(4, "Aisha", "Treasure Island", '2023-12-28', "aisha@example.com"),
(5, "Luna", "Frankenstein", '2023-12-29', NULL),
(6, "Omar", "Dracula", '2023-12-30', "omar@example.com"),
(7, "Fatima", "The Picture of Dorian Gray", '2023-12-31', "fatima@example.com"),
(8, "Youssef", "The Time Machine", '2024-01-01', "youssef@example.com"),
(9, "Zara", "The War of the Worlds", '2024-01-02', "zara@example.com"),
(10, "Mateo", "The Invisible Man", '2024-01-03', "mateo@example.com"),
(11, "Leila", NULL, NULL, "leila@example.com"),
(12, "Kai", "Through the Looking-Glass", '2024-01-05', "kai@example.com"),
(13, "Nina", "The Jungle Book", '2024-01-06', "nina@example.com"),
(14, "Elijah", NULL, NULL, NULL),
(15, "Aaliyah", NULL, NULL, NULL);