-- Create the overdue_items table if it doesn't already exist
CREATE TABLE IF NOT EXISTS overdue_items (
    title TEXT,
    days_overdue INTEGER,
    fine_amount REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM overdue_items;

-- Insert data into the overdue_items table
INSERT INTO overdue_items (title, days_overdue, fine_amount) VALUES
("The Alchemist", 9, 2.25),
("The Hobbit", 6, 1.50),
("Matilda", 11, 2.75),
("To Kill a Mockingbird", 14, 3.50),
("Little Women", 4, 1.00),
("Eleanor & Park", 16, 4.00),
("Matilda", 8, 2.00),
("Alice's Adventures in Wonderland", 13, 3.25),
("Harry Potter and the Philosopher's Stone", 7, 1.75),
("The Giver", 10, 2.50),
("Pride and Prejudice", 7, 1.75),
("The Great Gatsby", 12, 3.00),
("The Book Thief", 5, 1.25),
("Anne of Green Gables", 10, 2.50),
("The Hobbit", 15, 3.75),
("Good Omens", 8, 2.00),
("The Little Prince", 20, 5.00),
("City of Bones", 3, 0.75),
("The Secret Garden", 18, 4.50),
("Matilda", 6, 1.50);

-- Create the patrons table if it doesn't already exist
CREATE TABLE IF NOT EXISTS patrons (
    name TEXT,
    suburb TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM patrons;

-- Insert data into the patrons table
INSERT INTO patrons (name, suburb) VALUES
("Grace", "Scarborough"),
("Alexander", "North York"),
("Michelle", "North York"),
("Bri", "East York");
