-- Create the applicants table if it doesn't already exist
CREATE TABLE IF NOT EXISTS applicants (
    applicant_id INTEGER PRIMARY KEY,
    name TEXT,
    credit_score INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM applicants;

-- Insert data into the applicants table
INSERT INTO applicants (applicant_id, name, credit_score) VALUES
(1, 'Ethan Nguyen', 720),
(2, 'Chloe Tran', 680),
(3, 'Oliver Singh', 780),
(4, 'Amelia Karas', 650),
(5, 'Thomas Chan', 810),
(6, 'Sara Nguyen', 700),
(7, 'Will Tran', 750),
(8, 'Olivia Li', 690),
(9, 'James Papadopoulos', 800),
(10, 'Ava Chen', 710),
(11, 'Lucas Nguyen', 735);

-- Create the loan_approvals table if it doesn't already exist
CREATE TABLE IF NOT EXISTS loan_approvals (
    application_id INTEGER PRIMARY KEY,
    applicant_id INTEGER,
    loan_amount INTEGER,
    approval_status TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM loan_approvals;

-- Insert data into the loan_approvals table
INSERT INTO loan_approvals (application_id, applicant_id, loan_amount, approval_status) VALUES
(1, 1, 15000, 'Approved'),
(2, 3, 25000, 'Denied'),
(3, 5, 10000, 'Approved'),
(4, 1, 8000, 'Approved'),
(5, 6, 12000, 'Pending'),
(6, 7, 20000, 'Approved'),
(7, 2, 18000, 'Denied'),
(8, 9, 30000, 'Pending'),
(9, 4, 16000, 'Approved'),
(10, 8, 5000, 'Denied');
