-- Create the marathon_results table
CREATE TABLE IF NOT EXISTS marathon_results (
    runner_id INTEGER PRIMARY KEY,
    finish_time TEXT NOT NULL,
    age_group TEXT NOT NULL
);

-- Clear any existing data in marathon_results to ensure idempotency
DELETE FROM marathon_results;

-- Insert data into the marathon_results table
INSERT INTO marathon_results (runner_id, finish_time, age_group) VALUES
(1, '02:30:15', '30-39'),
(2, '02:45:30', '40-49'),
(3, '02:35:10', '20-29'),
(4, '02:50:45', '30-39'),
(5, '03:10:30', '50-59'),
(6, '02:55:15', '20-29'),
(7, '02:40:00', '30-39'),
(8, '03:05:10', '40-49'),
(9, '03:20:20', '30-39'),
(10, '02:25:00', '20-29'),
(11, '03:15:45', '50-59'),
(12, '03:30:10', '40-49'),
(13, '03:45:00', '60+'),
(14, '03:55:30', '30-39'),
(15, '04:00:00', '50-59');

-- Create the runners table
CREATE TABLE IF NOT EXISTS runners (
    Email TEXT PRIMARY KEY,
    Age_Group TEXT NOT NULL,
    City TEXT NOT NULL
);

-- Clear any existing data in runners to ensure idempotency
DELETE FROM runners;

-- Insert data into the runners table
INSERT INTO runners (Email, Age_Group, City) VALUES
('maya.pearson84@example.com', '20-29', 'San Francisco'),
('tyler.jones123@example.com', '30-39', 'San Diego'),
('olivia.mitchell@example.com', '40-49', 'San Francisco'),
('luke.smith56@example.com', '50-59', 'San Diego'),
('sophia.morris@example.com', '60+', 'San Francisco'),
('ethan.taylor22@example.com', '20-29', 'San Diego'),
('harper.johnson@example.com', '30-39', 'San Francisco'),
('liam.brown47@example.com', '40-49', 'San Diego'),
('mia.davis@example.com', '50-59', 'San Francisco'),
('logan.wilson99@example.com', '60+', 'San Diego');
