-- Create the authors table
CREATE TABLE IF NOT EXISTS authors (
    id INTEGER PRIMARY KEY,
    name TEXT NOT NULL
);

-- Clear any existing data in authors to ensure idempotency
DELETE FROM authors;

-- Insert data into the authors table
INSERT INTO authors (id, name) VALUES
(1, 'Alexandra Fields'),
(2, 'Evan Mitchell'),
(3, 'Jordan Blake'),
(4, 'Casey Nguyen'),
(5, 'Taylor Morgan');

-- Create the articles table
CREATE TABLE IF NOT EXISTS articles (
    id INTEGER PRIMARY KEY,
    title TEXT NOT NULL,
    author_id INTEGER NOT NULL,
    FOREIGN KEY (author_id) REFERENCES authors(id)
);

-- Clear any existing data in articles to ensure idempotency
DELETE FROM articles;

-- Insert data into the articles table
INSERT INTO articles (id, title, author_id) VALUES
(1, 'The Rise of AI', 1),
(2, 'Global Warming Facts', 2),
(3, 'The Future of Space Travel', 3),
(4, 'Healthy Eating Tips', 4),
(5, 'Advancements in Medicine', 4),
(6, 'The Impact of Social Media', 1),
(7, 'Understanding Cryptocurrency', 5),
(8, 'Top Travel Destinations', 2),
(9, 'The Evolution of Music', 3),
(10, 'Climate Change Solutions', 2);
