-- Create the all_nighter_notes table
CREATE TABLE IF NOT EXISTS all_nighter_notes (
    note_id INTEGER PRIMARY KEY AUTOINCREMENT,
    note_content TEXT NOT NULL,
    date_created DATE NOT NULL
);

-- Clear any existing data in all_nighter_notes to ensure idempotency
DELETE FROM all_nighter_notes;

-- Insert data into the all_nighter_notes table
INSERT INTO all_nighter_notes (note_content, date_created) VALUES
('Finish the research paper draft', '2024-07-01'),
('Prepare for the big presentation', '2024-07-02'),
('Study for the final exams', '2024-07-03'),
('Complete the project report', '2024-07-04'),
('Work on the team assignment', '2024-07-05');

-- Create the fav_snacks table
CREATE TABLE IF NOT EXISTS fav_snacks (
    snack_id INTEGER PRIMARY KEY AUTOINCREMENT,
    snack_name TEXT NOT NULL,
    snack_type TEXT NOT NULL,
    date_created DATE NOT NULL
);

-- Clear any existing data in fav_snacks to ensure idempotency
DELETE FROM fav_snacks;

-- Insert data into the fav_snacks table
INSERT INTO fav_snacks (snack_name, snack_type, date_created) VALUES
('Chocolate Chip Cookies', 'Sweet', '2024-07-01'),
('Trail Mix', 'Nutty', '2024-07-02'),
('Potato Chips', 'Salty', '2024-07-03'),
('Granola Bar', 'Healthy', '2024-07-04'),
('Gummy Bears', 'Sweet', '2024-07-05');

-- Create the procrastination_excuses table
CREATE TABLE IF NOT EXISTS procrastination_excuses (
    excuse_id INTEGER PRIMARY KEY AUTOINCREMENT,
    excuse_content TEXT NOT NULL,
    date_created DATE NOT NULL
);

-- Clear any existing data in procrastination_excuses to ensure idempotency
DELETE FROM procrastination_excuses;

-- Insert data into the procrastination_excuses table
INSERT INTO procrastination_excuses (excuse_content, date_created) VALUES
('I need to do more research before starting.', '2024-07-01'),
('I''ll start after I finish watching this show.', '2024-07-02'),
('I''m too tired to work on this right now.', '2024-07-03'),
('I can do this tomorrow instead.', '2024-07-04'),
('I work better under pressure anyway.', '2024-07-05');

-- Create the unfinished_projects table
CREATE TABLE IF NOT EXISTS unfinished_projects (
    project_id INTEGER PRIMARY KEY AUTOINCREMENT,
    project_name TEXT NOT NULL,
    project_status TEXT NOT NULL,
    date_created DATE NOT NULL
);

-- Clear any existing data in unfinished_projects to ensure idempotency
DELETE FROM unfinished_projects;

-- Insert data into the unfinished_projects table
INSERT INTO unfinished_projects (project_name, project_status, date_created) VALUES
('Research Paper', 'In Progress', '2024-07-01'),
('Team Presentation', 'Not Started', '2024-07-02'),
('Final Exams Preparation', 'Not Started', '2024-07-03'),
('Project Report', 'In Progress', '2024-07-04'),
('Team Assignment', 'Not Started', '2024-07-05');
