-- Create the vendors table if it doesn't already exist
CREATE TABLE IF NOT EXISTS vendors (
  vendor_name TEXT,
  craft_type TEXT,
  product_name TEXT,
  booth_number INTEGER,
  booth_fee INTEGER,
  num_products INTEGER,
  rating REAL
);

-- Clear any existing data to ensure idempotency
DELETE FROM vendors;

-- Insert data into the vendors table
INSERT INTO vendors (vendor_name, craft_type, product_name, booth_number, booth_fee, num_products, rating) VALUES
('The Crafty Fox', 'pottery', 'Handmade Bowls', 101, 250, 15, 4.5),
('Seamus''s Knits', 'knitting', 'Hand-knit Scarves', 102, 200, 10, 4.7),
('The Quirky Quill', 'stationery', 'Whimsical Notebooks', 103, 300, 20, 4.8),
('Urban Blooms', 'floristry', 'Dried Flower Arrangements', 104, 250, 8, 4.3),
('Knot Just Crafts', 'macrame', 'Macrame Wall Hangings', 105, 150, 12, 4.6),
('Grandma''s Pies', 'bakery', 'Grandma''s Apple Pies', 106, 100, 5, 4.9),
('Creative Flair', 'jewelry', 'Silver Earrings', 107, 400, 25, 4.2),
('The Artful Hand', 'weaving', 'Woven Tapestries', 108, 350, 18, 4.4),
('Pure Essence', 'candles', 'Scented Candles', 109, 180, 14, 4.5),
('Pottery Paradise', 'pottery', 'Decorative Vases', 110, 250, 16, 4.7);
