-- Create the products table
CREATE TABLE IF NOT EXISTS products (
    product_id INTEGER PRIMARY KEY,
    product_name TEXT NOT NULL,
    price REAL NOT NULL CHECK (price > 0),
    quantity INTEGER NOT NULL CHECK (quantity >= 0)
);

-- Clear any existing data to ensure idempotency
DELETE FROM products;

-- Insert data into the products table
INSERT INTO products (product_id, product_name, price, quantity) VALUES
(2, 'Wireless Mouse', 19.99, 100),
(3, 'HD Monitor', 159.99, 30),
(4, 'USB-C Hub', 24.99, 75),
(5, 'Laptop Stand', 39.99, 40),
(6, 'Bluetooth Speaker', 49.99, 25),
(7, 'Noise Cancelling Headphones', 99.99, 20),
(8, 'External Hard Drive', 79.99, 15),
(9, 'Portable Charger', 34.99, 60),
(10, 'Smartwatch', 199.99, 10),
(11, '4K TV', 499.99, 5),
(12, 'Smartphone', 699.99, 8),
(13, 'Tablet', 299.99, 12),
(14, 'Wireless Earbuds', 59.99, 45),
(15, 'Digital Camera', 449.99, 7),
(16, 'VR Headset', 299.99, 10),
(17, 'Gaming Console', 399.99, 6),
(18, 'Smart Light Bulb', 14.99, 150),
(19, 'Smart Thermostat', 119.99, 18),
(20, 'Robot Vacuum', 249.99, 9);
