-- Create the sales table if it doesn't already exist
CREATE TABLE IF NOT EXISTS sales (
  purchase_id INTEGER PRIMARY KEY AUTOINCREMENT, -- Added for uniqueness
  item_category TEXT,
  customer_name TEXT,
  price INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM sales;

-- Insert data into the sales table
INSERT INTO sales (item_category, customer_name, price) VALUES 
('Dress', 'Sienna', 60),
('Top', 'Lachlan', 25),
('Jeans', 'Charlotte', 40),
('Dress', 'Sienna', 75),
('Top', 'Amelia', 30),
('Jeans', 'Hunter', 45),
('Accessories', 'Isla', 15),
('Dress', 'Lachlan', 80),
('Top', 'Chloe', 35),
('Jeans', 'Riley', 50),
('Dress', 'Matilda', 65),
('Top', 'Bodhi', 20),
('Jeans', 'Lily', 55),
('Accessories', 'Hunter', 10),
('Dress', 'Evie', 70),
('Top', 'Hunter', 28),
('Jeans', 'Sienna', 48),
('Accessories', 'Leo', 12),
('Dress', 'Lachlan', 85),
('Top', 'Bodhi', 32);