-- Create the podcasts table if it doesn't already exist
CREATE TABLE IF NOT EXISTS podcasts (
  podcast_name TEXT PRIMARY KEY,
  genre TEXT,
  total_downloads INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM podcasts;

-- Insert data into the podcasts table
INSERT INTO podcasts (podcast_name, genre, total_downloads) VALUES
('The Daily', 'News', 1005200),
('This American Life', 'Society & Culture', 904500),
('Invisibilia', 'Science', 698200),
('Radiolab', 'Science', 604500),
('Science Vs', 'Science', 550000),
('Stuff You Should Know', 'Education', 202500),
('Lore', 'History', 103000),
('The Moth', 'Arts', 50200),
('Planet Money', 'Business', 39700),
('Freakonomics Radio', 'Business', 30500),
('How I Built This', 'Business', 275000),
('Revisionist History', 'History', 99500),
('Serial', 'True Crime', 800000),
('My Favorite Murder', 'Comedy', 750000),
('Morbid', 'True Crime', 450000),
('Reply All', 'Technology', 230000),
('Darknet Diaries', 'Technology', 150000);