-- Create the routes table
CREATE TABLE IF NOT EXISTS routes (
    route_id INTEGER PRIMARY KEY,
    route_name TEXT NOT NULL,
    vehicle_type TEXT NOT NULL
);

-- Clear any existing data in routes to ensure idempotency
DELETE FROM
    routes;

-- Insert data into the routes table
INSERT INTO
    routes (route_id, route_name, vehicle_type)
VALUES
    (1, 'City Circle', 'bus'),
    (2, 'Airport Express', 'train'),
    (3, 'Green Line', 'tram'),
    (4, 'Blue Line', 'metro'),
    (5, 'Ferry Express', 'ferry'),
    (6, 'Red Line', 'bus'),
    (7, 'Yellow Line', 'tram'),
    (8, 'University Shuttle', 'bus'),
    (9, 'Hospital Loop', 'bus'),
    (10, 'Park Connector', 'bus');

-- Create the stops table
CREATE TABLE IF NOT EXISTS stops (
    stop_id INTEGER PRIMARY KEY,
    stop_name TEXT NOT NULL,
    route_id INTEGER NOT NULL,
    FOREIGN KEY (route_id) REFERENCES routes(route_id)
);

-- Clear any existing data in stops to ensure idempotency
DELETE FROM
    stops;

-- Insert data into the stops table
INSERT INTO
    stops (stop_id, stop_name, route_id)
VALUES
    (1, 'Central Station', 1),
    (2, 'Museum District', 1),
    (3, 'Harbourfront', 1),
    (4, 'Airport Terminal 1', 2),
    (5, 'Airport Terminal 2', 2),
    (6, 'City Center', 2),
    (7, 'North Avenue', 3),
    (8, 'Parklands', 3),
    (9, 'Stadium', 3),
    (10, 'South Square', 4),
    (11, 'Tech Hub', 4),
    (12, 'Business District', 4),
    (13, 'Ferry Terminal', 5),
    (14, 'Island Gardens', 5),
    (15, 'Westside Market', 6),
    (16, 'Chinatown', 6),
    (17, 'Old Town Square', 6),
    (18, 'Eastside Mall', 7),
    (19, 'University Library', 7),
    (20, 'Science Park', 7),
    (21, 'Main Campus', 8),
    (22, 'Medical School', 8),
    (23, 'Hospital North', 9),
    (24, 'Hospital South', 9),
    (25, 'Rose Garden', 10),
    (26, 'Butterfly Park', 10);