-- Create the province table if it doesn't already exist
CREATE TABLE IF NOT EXISTS provinces (
    province TEXT PRIMARY KEY,
    population INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM provinces;

-- Insert data into the province table
INSERT INTO provinces (province, population) VALUES
('Narbonensis', 1500000),
('Aquitania', 2000000),
('Lugdunensis', 3000000),
('Belgica', 3000000);

-- Create the taxes table if it doesn't already exist
CREATE TABLE IF NOT EXISTS taxes (
    province TEXT,
    year TEXT,
    amount_paid INTEGER,
    property_value INTEGER,
    occupation TEXT,
    FOREIGN KEY (province) REFERENCES provinces(province)
);

-- Clear any existing data to ensure idempotency
DELETE FROM taxes;

-- Insert data into the taxes table
INSERT INTO taxes (province, year, amount_paid, property_value, occupation) VALUES
('Narbonensis', '50 BC', 10000, 50000, 'Farmer'),
('Narbonensis', '50 BC', 15000, 60000, 'Merchant'),
('Aquitania', '50 BC', 20000, 70000, 'Soldier'),
('Aquitania', '50 BC', 25000, 80000, 'Artisan'),
('Lugdunensis', '50 BC', 30000, 90000, 'Scribe'),
('Lugdunensis', '50 BC', 35000, 100000, 'Politician'),
('Belgica', '50 BC', 40000, 110000, 'Engineer'),
('Belgica', '50 BC', 45000, 120000, 'Trader'),
('Belgica', '50 BC', 50000, 130000, 'Blacksmith'),
('Narbonensis', '50 BC', 55000, 140000, 'Artist'),
('Narbonensis', '49 BC', 12000, 52000, 'Farmer'),
('Narbonensis', '49 BC', 18000, 62000, 'Merchant'),
('Aquitania', '49 BC', 22000, 72000, 'Soldier'),
('Aquitania', '49 BC', 27000, 82000, 'Artisan'),
('Lugdunensis', '49 BC', 32000, 92000, 'Scribe'),
('Lugdunensis', '49 BC', 37000, 102000, 'Politician'),
('Belgica', '49 BC', 42000, 112000, 'Engineer'),
('Belgica', '49 BC', 47000, 122000, 'Trader'),
('Belgica', '49 BC', 52000, 132000, 'Blacksmith'),
('Narbonensis', '49 BC', 57000, 142000, 'Artist');
