-- Create the users table
CREATE TABLE IF NOT EXISTS users (
    id INTEGER PRIMARY KEY,
    username TEXT NOT NULL UNIQUE
);

-- Clear any existing data in users to ensure idempotency
DELETE FROM users;

-- Insert data into the users table
INSERT INTO users (id, username) VALUES
(1, '@dancing_queen'),
(2, '@coding_guru'),
(3, '@foodie_finds'),
(4, '@travel_holic'),
(5, '@music_lover'),
(6, '@book_worm');

-- Create the videos table
CREATE TABLE IF NOT EXISTS videos (
    video_id INTEGER PRIMARY KEY,
    user_id INTEGER NOT NULL,
    title TEXT NOT NULL,
    category TEXT NOT NULL,
    FOREIGN KEY (user_id) REFERENCES users(id)
);

-- Clear any existing data in videos to ensure idempotency
DELETE FROM videos;

-- Insert data into the videos table
INSERT INTO videos (video_id, user_id, title, category) VALUES
(101, 1, 'Groovin'' to the Beat', 'Dance'),
(102, 2, 'SQL for Beginners', 'Coding'),
(103, 3, 'Best Tacos in Town!', 'Food'),
(104, 1, 'New Dance Challenge!', 'Dance'),
(105, 4, 'Exploring Ancient Ruins', 'Travel'),
(106, 5, 'Chill Beats for Studying', 'Music'),
(107, 6, 'Must-Read Books of the Year', 'Books'),
(108, 2, 'Python for Data Science', 'Coding');

-- Create the likes table
CREATE TABLE IF NOT EXISTS likes (
    like_id INTEGER PRIMARY KEY,
    user_id INTEGER NOT NULL,
    video_id INTEGER NOT NULL,
    FOREIGN KEY (user_id) REFERENCES users(id),
    FOREIGN KEY (video_id) REFERENCES videos(video_id)
);

-- Clear any existing data in likes to ensure idempotency
DELETE FROM likes;

-- Insert data into the likes table
INSERT INTO likes (like_id, user_id, video_id) VALUES
(1, 1, 102),
(2, 3, 101),
(3, 2, 103),
(4, 4, 106),
(5, 5, 104),
(6, 6, 108),
(7, 1, 107),
(8, 3, 105);
