-- Create the skate_spots table
CREATE TABLE IF NOT EXISTS skate_spots (location TEXT, obstacle TEXT);

-- Clear any existing data to ensure idempotency
DELETE FROM
    skate_spots;

-- Insert data into the skate_spots table
INSERT INTO
    skate_spots (location, obstacle)
VALUES
    ('Venice Beach', 'Stairset'),
    ('Venice Beach', 'Rail'),
    ('Venice Beach', 'Rail'),
    ('Venice Beach', 'Ledge'),
    ('Santa Monica Pier', 'Flatground'),
    ('Santa Monica Pier', 'Rail'),
    ('Santa Monica Pier', 'Rail'),
    ('Downtown LA', 'Gap'),
    ('Downtown LA', 'Ledge'),
    ('Downtown LA', 'Ledge'),
    ('Echo Park', 'Bowl'),
    ('Echo Park', 'Flatground');

-- Create the skating_sessions table
CREATE TABLE IF NOT EXISTS skating_sessions (
    date DATE,
    location TEXT,
    weather TEXT,
    board_setup TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM
    skating_sessions;

-- Insert data into the skating_sessions table
INSERT INTO
    skating_sessions (date, location, weather, board_setup)
VALUES
    ('2023-07-10', 'Venice Beach', 'Sunny', 'Setup 1'),
    (
        '2023-07-15',
        'Santa Monica Pier',
        'Cloudy',
        'Setup 2'
    ),
    ('2023-07-16', 'Downtown LA', 'Sunny', 'Setup 3'),
    ('2023-07-17', 'Echo Park', 'Rainy', 'Setup 1'),
    ('2023-07-20', 'Venice Beach', 'Sunny', 'Setup 2'),
    (
        '2023-07-22',
        'Santa Monica Pier',
        'Windy',
        'Setup 3'
    ),
    ('2023-07-24', 'Venice Beach', 'Sunny', 'Setup 1');

-- Create the tricks_landed table
CREATE TABLE IF NOT EXISTS tricks_landed (
    trick TEXT,
    obstacle TEXT,
    board_setup TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM
    tricks_landed;

-- Insert data into the tricks_landed table
INSERT INTO
    tricks_landed (trick, obstacle, board_setup)
VALUES
    ('Ollie', 'Flatground', 'Setup 1'),
    ('Kickflip', 'Flatground', 'Setup 2'),
    ('Heelflip', 'Flatground', 'Setup 1'),
    ('Pop Shove-it', 'Flatground', 'Setup 3'),
    ('Ollie', 'Rail', 'Setup 2'),
    ('Boardslide', 'Rail', 'Setup 1'),
    ('50-50 Grind', 'Ledge', 'Setup 3'),
    ('Kickflip', 'Stairset', 'Setup 2'),
    ('Ollie', 'Gap', 'Setup 1');