-- Create the listings table if it doesn't already exist
CREATE TABLE IF NOT EXISTS listings (
    listing_id INTEGER,
    address TEXT,
    suburb TEXT,
    bedrooms INTEGER,
    bathrooms INTEGER,
    rent REAL,
    parking_spots INTEGER,
    balcony TEXT,
    pets_allowed TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM listings;

-- Insert data into the listings table
INSERT INTO listings (listing_id, address, suburb, bedrooms, bathrooms, rent, parking_spots, balcony, pets_allowed) VALUES
(1, '12/34 Koala Ln', 'The Rocks', 2, 1, 950, 1, 'yes', NULL),
(2, '56/7 Wombat Blvd', 'Sydney CBD', 1, NULL, 800, NULL, 'yes', 'no'),
(3, '89 Kangaroo Ave', 'Haymarket', 2, 2, 1100, 2, 'no', 'yes'),
(4, '100/10 Platypus St', 'North Sydney', 1, 1, 750, NULL, 'yes', 'yes'),
(5, '123 Kookaburra Rd', 'Ultimo', 3, 2, 1300, 0, 'yes', NULL),
(6, '456/8 Dingo Way', 'Newtown', 2, 1, 650, 1, NULL, 'no'),
(7, '789/10 Emu Cres', 'Surry Hills', 1, 1, 700, NULL, 'no', 'yes'),
(8, '10/11 Wallaby Ct', 'Alexandria', NULL, 1, 600, 0, 'yes', 'no'),
(9, '12/13 TasmanianDevil Dr', 'Parramatta', 3, 2, 850, 2, 'yes', NULL),
(10, '14/15 Echidna Pl', 'Camperdown', 1, 1, 550, NULL, 'no', 'yes');
