-- Create the encounters table
CREATE TABLE IF NOT EXISTS encounters (
    name TEXT NOT NULL,
    return_year INTEGER NOT NULL,
    year INTEGER NOT NULL,
    PRIMARY KEY (name, return_year, year)
);

-- Clear any existing data in encounters to ensure idempotency
DELETE FROM encounters;

-- Insert data into the encounters table
INSERT INTO encounters (name, return_year, year) VALUES
('Marie Curie', 1905, 1921),
('Leonardo da Vinci', 1490, 1923),
('Cleopatra VII', -30, 1922),
('Albert Einstein', 1921, 1920);

-- Create the historical_items table
CREATE TABLE IF NOT EXISTS historical_items (
    item TEXT NOT NULL,
    place TEXT NOT NULL,
    continent TEXT NOT NULL,
    year INTEGER NOT NULL,
    PRIMARY KEY (item, place, continent, year)
);

-- Clear any existing data in historical_items to ensure idempotency
DELETE FROM historical_items;

-- Insert data into the historical_items table
INSERT INTO historical_items (item, place, continent, year) VALUES
('Radium vial', 'France', 'Europe', 1898),
('Monocle', 'England', 'Europe', 1820),
('Paintbrush', 'Italy', 'Europe', 1490),
('Scepter', 'Egypt', 'Africa', -30);

-- Create the series table
CREATE TABLE IF NOT EXISTS series (
    title TEXT NOT NULL,
    season INTEGER NOT NULL,
    episode INTEGER NOT NULL,
    viewers INTEGER NOT NULL,
    PRIMARY KEY (title, season, episode)
);

-- Clear any existing data in series to ensure idempotency
DELETE FROM series;

-- Insert data into the series table
INSERT INTO series (title, season, episode, viewers) VALUES
('Renaissance', 1, 3, 3000000),
('Lunar Larceny', 2, 1, 3400000),
('Pteranodon Returns', 3, 3, 2300000),
('Time Machine Mishap', 1, 1, 3600000),
('Carter', 1, 4, 3300000),
('Medieval Evil', 3, 2, 2700000),
('The End', 3, 4, 2600000),
('The Pharaoh', 1, 2, 3300000),
('Titanic', 3, 1, 3200000),
('Jump the Shark', 2, 3, 2800000),
('Triceratops', 2, 2, 3100000);
