-- Ensure we are starting with a clean state
DROP TABLE IF EXISTS clothing_items;
DROP TABLE IF EXISTS other_items;
DROP TABLE IF EXISTS records;

-- Create the clothing_items table
CREATE TABLE clothing_items (
    id INTEGER PRIMARY KEY,
    item_name TEXT NOT NULL,
    size TEXT,
    condition TEXT NOT NULL,
    price TEXT NOT NULL
);

-- Insert data into clothing_items if the rows do not already exist
INSERT OR IGNORE INTO clothing_items (id, item_name, size, condition, price) VALUES
(1, '501 Jeans', '32', 'Excellent', '$45'),
(2, 'Floral Print Dress', 'Medium', 'Good', '$30'),
(3, 'Vintage Leather Jacket', 'Large', 'Excellent', '$120'),
(4, 'Khaki Chino Pants', '30', 'Very Good', '$20'),
(5, 'Silk Scarf', 'N/A', 'Pristine', '$80'),
(6, 'Flannel Shirt', 'Small', 'Good', '$25'),
(7, 'Band T-Shirt (The Beatles)', 'Medium', 'Worn', '$10'),
(8, 'Black Blazer', '42', 'Excellent', '$75');

-- Create the other_items table
CREATE TABLE other_items (
    item_id INTEGER PRIMARY KEY,
    description TEXT NOT NULL,
    category TEXT NOT NULL
);

-- Insert data into other_items if the rows do not already exist
INSERT OR IGNORE INTO other_items (item_id, description, category) VALUES
(1, 'Mismatched Dinnerware', 'Kitchenware'),
(2, 'Scratched CDs', 'Electronics'),
(3, 'Obsolete Electronics', 'Electronics');

-- Create the records table
CREATE TABLE records (
    record_id INTEGER PRIMARY KEY,
    artist TEXT NOT NULL,
    album TEXT NOT NULL,
    genre TEXT NOT NULL
);

-- Insert data into records if the rows do not already exist
INSERT OR IGNORE INTO records (record_id, artist, album, genre) VALUES
(1, 'The Beatles', 'Abbey Road', 'Rock'),
(2, 'The Beatles', 'Help!', 'Rock'),
(3, 'Pink Floyd', 'The Dark Side of the Moon', 'Rock'),
(4, 'David Bowie', 'Ziggy Stardust', 'Rock'),
(5, 'Michael Jackson', 'Thriller', 'Pop'),
(6, 'Prince', 'Purple Rain', 'Pop'),
(7, 'Madonna', 'Like a Virgin', 'Pop'),
(8, 'Nirvana', 'Nevermind', 'Grunge'),
(9, 'The Rolling Stones', 'Let It Bleed', 'Rock'),
(10, 'Led Zeppelin', 'IV', 'Rock'),
(11, 'The Clash', 'London Calling', 'Punk'),
(12, 'Bob Dylan', 'Highway 61 Revisited', 'Folk'),
(13, 'Elvis Presley', 'Elvis Presley', 'Rock'),
(14, 'Queen', 'A Night at the Opera', 'Rock'),
(15, 'The Smiths', 'The Queen Is Dead', 'Alternative');
