
-- Create the workout_log table if it doesn't already exist
CREATE TABLE IF NOT EXISTS workout_log (
  exercise_type TEXT,
  duration_minutes INTEGER,
  intensity_level INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM workout_log;

-- Insert data into the workout_log table
INSERT INTO workout_log (exercise_type, duration_minutes, intensity_level) VALUES
('High Park Run', 55, 6),
('Yoga at Home', 30, 4),
('Lakeshore Bike Ride', 90, 7),
('Strength Training', 45, 8),
('Swimming', 60, 7),
('Pilates Class', 50, 5),
('High Park Walk', 75, 3),
('Tai Chi', 40, 3),
('Strength Training', 30, 6),
('Lakeshore Bike Ride', 60, 8);

-- Create the workout_routines table if it doesn't already exist
CREATE TABLE IF NOT EXISTS workout_routines (
  workout_plan TEXT PRIMARY KEY,
  muscle_group TEXT,
  equipment_needed TEXT
);

-- Clear any existing data to ensure idempotency
DELETE FROM workout_routines;

-- Insert data into the workout_routines table
INSERT INTO workout_routines (workout_plan, muscle_group, equipment_needed) VALUES
('Strength Training 1', 'Upper Body', 'Dumbbells'),
('Strength Training 2', 'Lower Body', 'Barbell'),
('Cardio Blast', 'Full Body', 'None'),
('Flexibility Flow', 'Full Body', 'Mat'),
('Strength Training 3', 'Upper Body', 'Resistance Bands'),
('Strength Training 4', 'Lower Body', 'None'),
('Yoga Session', 'Full Body', 'Mat'),
('Pilates Practice', 'Core', 'Mat'),
('HIIT Workout', 'Full Body', 'None');


-- Create the hiking_log table if it doesn't already exist
CREATE TABLE IF NOT EXISTS hiking_log (
  hike_location TEXT PRIMARY KEY,
  step_count INTEGER
);

-- Clear any existing data to ensure idempotency
DELETE FROM hiking_log;

-- Insert data into the hiking_log table
INSERT INTO hiking_log (hike_location, step_count) VALUES
('Scarborough Bluffs', 8500),
('Rouge National Urban Park', 10000),
('High Park', 7500),
('Don Valley', 9000),
('Humber Valley', 8000),
('Toronto Islands', 6000),
('Tommy Thompson Park', 7000),
('Evergreen Brick Works', 8500),
('Taylor Creek Park', 7500),
('Leslie Street Spit', 8000);
